# Ogre::Any Class Reference

Variant type that can hold Any other type. More...

`#include <OgreAny.h>`

Inheritance diagram for Ogre::Any:

List of all members.

## Public Member Functions

| Any ()
template<typename ValueType>
| Any (const ValueType &value)
| Any (const Any &other)
virtual | ~Any ()
Any & | swap (Any &rhs)
template<typename ValueType>
Any & | operator= (const ValueType &rhs)
Any & | operator= (const Any &rhs)
bool | isEmpty () const
const std::type_info & | getType () const
template<typename ValueType>
ValueType | operator() () const

## Protected Attributes

placeholder * | mContent

## Friends

std::ostream & | operator<< (std::ostream &o, const Any &v)
template<typename ValueType>
ValueType * | any_cast (Any *)

## Classes

class | holder
class | placeholder

## Detailed Description

Variant type that can hold Any other type.

Definition at line 47 of file OgreAny.h.

## Constructor & Destructor Documentation

Ogre::Any::Any | ( |  | ) |

| Definition at line 51 of file OgreAny.h. Referenced by operator=().

template<typename ValueType>
Ogre::Any::Any | ( | const ValueType & | value | ) | `[explicit]`

| Definition at line 57 of file OgreAny.h.

Ogre::Any::Any | ( | const Any & | other | ) |

| Definition at line 62 of file OgreAny.h.

virtual Ogre::Any::~Any | ( |  | ) | `[virtual]`

| Definition at line 67 of file OgreAny.h. References mContent.

## Member Function Documentation

const std::type_info& Ogre::Any::getType | ( | void |  | ) | const

| Definition at line 100 of file OgreAny.h. References Ogre::Any::placeholder::getType(), and mContent. Referenced by Ogre::any_cast(), and operator()().

bool Ogre::Any::isEmpty | ( |  | ) | const

| Definition at line 95 of file OgreAny.h. References mContent.

template<typename ValueType>
ValueType Ogre::Any::operator() | ( |  | ) | const

| Definition at line 180 of file OgreAny.h. References Ogre::Exception::ERR_INVALIDPARAMS, getType(), mContent, and OGRE_EXCEPT.

Any& Ogre::Any::operator= | ( | const Any & | rhs | ) |

| Definition at line 87 of file OgreAny.h. References Any().

template<typename ValueType>
Any& Ogre::Any::operator= | ( | const ValueType & | rhs | ) |

| Definition at line 81 of file OgreAny.h. References Any().

Any& Ogre::Any::swap | ( | Any & | rhs | ) |

| Definition at line 74 of file OgreAny.h. References mContent.

## Friends And Related Function Documentation

template<typename ValueType>
ValueType* any_cast | ( | Any * | operand | ) | `[friend]`

| Definition at line 368 of file OgreAny.h.

std::ostream& operator<< | ( | std::ostream & | o,
|  | const Any & | v
| ) | `[friend]`

| Definition at line 106 of file OgreAny.h.

## Member Data Documentation

placeholder* Ogre::Any::mContent `[protected]`

Definition at line 171 of file OgreAny.h.

Referenced by Ogre::any_cast(), Ogre::AnyNumeric::AnyNumeric(), getType(), isEmpty(), Ogre::AnyNumeric::operator *(), Ogre::AnyNumeric::operator *=(), operator()(), Ogre::AnyNumeric::operator+(), Ogre::AnyNumeric::operator+=(), Ogre::AnyNumeric::operator-(), Ogre::AnyNumeric::operator-=(), Ogre::AnyNumeric::operator/(), Ogre::AnyNumeric::operator/=(), swap(), and ~Any().

The documentation for this class was generated from the following file:

- OgreAny.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:20 2006